import * as THREE from 'three'

export default function runTest ( context, models ) {

  /* 
  // 模型动画
  context.scene.add(models.wave.scene)
  models.wave.scene.scale.set(3, 3, 3)
  modelPlay(models.wave)
  */

  /*
  // 相机旋转角与 lookAt 之间的兼容处理
  context.camera.position.copy(new THREE.Vector3(10, 10, 10))
  context.camera.lookAt(new THREE.Vector3(0, 0, 0))

  context.camera.rotateZ(Math.PI / 2)

  const euler = new THREE.Euler()
  euler.copy(context.camera.rotation)

  context.camera.lookAt((new THREE.Vector3(0, 0, 0)))
  context.camera.setRotationFromEuler(euler) */
  
  // 向量

  /*
  const pt1 = new THREE.Vector3(0, 0, 0)
  const pt2 = new THREE.Vector3(10, 10, 10)

  const line = new THREE.LineCurve3(pt1, pt2)

  context.scene.add(line)
  */

  // 空间点、方向采集
  window.addEventListener('click', () => {

    // console.log(context.camera.position)
    // context.controls && console.log(context.controls.target)
    
  })


}